I found the write up at http://gist.github.com/54177 very interesting. 
In it Ryan states:

> You should never do this in a source file included with your library,
> app, or tests:
>  
>     require 'rubygems'
>  
> The system I use to manage my $LOAD_PATH is not your library/app/tests
> concern.

Fair enough.  However this implies that there are other managers.  But
I really haven't heard of any.  Seems like everyone uses Rubygems, and
now it's part of 1.9.  So, if there are other managers, what are they? 
Google doesn't really turf up anything definitive (maybe using the term
'rubygems alternatives' was too vague).

TIA

-- 
... something witty goes here ...